Skip to main content
GET
/
events
/
suggested
/
{pubkey}
cURL
curl --request GET \
  --url https://api.jup.ag/prediction/v1/events/suggested/{pubkey} \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "eventId": "<string>",
      "isActive": true,
      "isLive": true,
      "category": "<string>",
      "subcategory": "<string>",
      "volumeUsd": "<string>",
      "closeCondition": "<string>",
      "beginAt": "<string>",
      "rulesPdf": "<string>",
      "tags": [
        "<string>"
      ],
      "metadata": {
        "eventId": "<string>",
        "title": "<string>",
        "subtitle": "<string>",
        "slug": "<string>",
        "series": "<string>",
        "closeTime": "<string>",
        "imageUrl": "<string>",
        "isLive": true
      },
      "markets": [
        {
          "marketId": "<string>",
          "openTime": 123,
          "closeTime": 123,
          "resolveAt": "<string>",
          "eventId": "<string>",
          "title": "<string>",
          "marketResultPubkey": "<string>",
          "imageUrl": "<string>",
          "rulesPrimary": "<string>",
          "rulesSecondary": "<string>",
          "outcomes": [
            "<string>"
          ],
          "marketOptions": [
            {
              "label": "<string>",
              "buyYes": true
            }
          ],
          "clobTokenIds": [
            "<string>"
          ],
          "isTeamMarket": true,
          "team": {},
          "sportsLine": 123,
          "sportsMarketType": "<string>",
          "pricing": {
            "buyYesPriceUsd": 123,
            "buyNoPriceUsd": 123,
            "sellYesPriceUsd": 123,
            "sellNoPriceUsd": 123,
            "volume": 123
          }
        }
      ],
      "volume24hr": "<string>",
      "liveScore": "<unknown>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

pubkey
string
required

Order public key to base suggested events on

Minimum string length: 1

Query Parameters

provider
enum<string>
default:polymarket

Data provider for events (defaults to polymarket)

Available options:
kalshi,
polymarket

Response

200 - application/json

Suggested events derived from the user's order activity

data
object[]
required